Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/ChangeLog	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -1,2 +1,9 @@
+2009-09-28	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* sp09/screen01.c, sp09/screen02.c, sp09/screen03.c, sp09/screen05.c,
+	sp09/screen09.c, sp09/screen14.c, sp09/sp09.scn, sp28/init.c,
+	sp28/sp28.scn, sp43/init.c: Add more error cases uncovered by uC5282
+	coverage runs.
+
 2009-09-28	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: testsuites/sptests/sp09/screen01.c
===================================================================
--- testsuites/sptests/sp09/screen01.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen01.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -35,4 +35,14 @@
   puts( "TA1 - rtems_task_delete - RTEMS_INVALID_ID" );
 
+  /* NULL return */
+  status = rtems_task_get_note( RTEMS_SELF, RTEMS_NOTEPAD_FIRST, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_get_note with NULL param"
+  );
+  puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ADDRESS" );
+
+  /* note too high */
   status = rtems_task_get_note( RTEMS_SELF, 100, &notepad_value );
   fatal_directive_status(
@@ -43,4 +53,5 @@
   puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_NUMBER" );
 
+  /* bad Id */
   status = rtems_task_get_note( 100, RTEMS_NOTEPAD_LAST, &notepad_value );
   fatal_directive_status(
@@ -51,4 +62,5 @@
   puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ID" );
 
+  /* unused Id so invalid now */
   status = rtems_task_get_note(
     _RTEMS_tasks_Information.maximum_id,
@@ -91,5 +103,7 @@
     &notepad_value
   );
-  fatal_directive_status( status, RTEMS_INVALID_ID,
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ID,
     "rtems_task_get_note with no tasks in API"
   );
@@ -104,4 +118,14 @@
   );
 
+  /* NULL param */
+  status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_ident NULL param"
+  );
+  puts( "TA1 - rtems_task_ident - RTEMS_INVALID_ADDRESS" );
+
+  /* OK */
   status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &self_id );
   directive_failed( status, "rtems_task_ident of self" );
@@ -171,4 +195,14 @@
   puts( "TA1 - rtems_task_resume - RTEMS_INCORRECT_STATE" );
 
+  /* NULL param */
+  status = rtems_task_set_priority( RTEMS_SELF, RTEMS_CURRENT_PRIORITY, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_set_priority with NULL param"
+  );
+  puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_ADDRESS" );
+
+  /* bad priority */
   status = rtems_task_set_priority( RTEMS_SELF, 512, &previous_priority );
   fatal_directive_status(
@@ -179,4 +213,5 @@
   puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_PRIORITY" );
 
+  /* bad Id */
   status = rtems_task_set_priority( 100, 8, &previous_priority );
   fatal_directive_status(
@@ -215,5 +250,6 @@
   puts( "TA1 - rtems_task_start - RTEMS_INVALID_ID" );
 
-  status = rtems_task_start( 0, Task_1, 0 );
+  /* already started */
+  status = rtems_task_start( RTEMS_SELF, Task_1, 0 );
   fatal_directive_status(
     status,
@@ -223,4 +259,5 @@
   puts( "TA1 - rtems_task_start - RTEMS_INCORRECT_STATE" );
 
+  /* bad Id */
   status = rtems_task_suspend( 100 );
   fatal_directive_status(
@@ -230,3 +267,12 @@
   );
   puts( "TA1 - rtems_task_suspend - RTEMS_INVALID_ID" );
+
+  /* NULL param */
+  status = rtems_task_mode( RTEMS_SELF, 0, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_mode with NULL param"
+  );
+  puts( "TA1 - rtems_task_mode - RTEMS_INVALID_ADDRESS" );
 }
Index: testsuites/sptests/sp09/screen02.c
===================================================================
--- testsuites/sptests/sp09/screen02.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen02.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -140,4 +140,14 @@
   puts( "TA1 - rtems_clock_get - RTEMS_INVALID_NUMBER" );
 
+  /* wake when NULL param */
+  status = rtems_task_wake_when( NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_NOT_DEFINED,
+    "rtems_task_wake_when NULL param"
+  );
+  puts( "TA1 - rtems_task_wake_when - RTEMS_INVALID_ADDRESS" );
+
+  /* wake when before set */
   status = rtems_task_wake_when( &time );
   if ( status == RTEMS_SUCCESSFUL ) {
@@ -155,4 +165,5 @@
   }
 
+  /* before time set */
   status = rtems_timer_fire_when( 0, &time, Delayed_routine, NULL );
   if ( status == RTEMS_SUCCESSFUL ) {
@@ -258,4 +269,14 @@
   puts( "TA1 - rtems_task_wake_when - TICKINVALID - sleep about 3 seconds" );
 
+  /* NULL time */
+  status = rtems_task_wake_when( NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_wake_when with NULL"
+  );
+  puts( "TA1 - rtems_task_wake_when - RTEMS_INVALID_ADDRESS" );
+
+  /* invalid ticks */
   status = rtems_task_wake_when( &time );
   directive_failed(
Index: testsuites/sptests/sp09/screen03.c
===================================================================
--- testsuites/sptests/sp09/screen03.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen03.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -25,4 +25,5 @@
   bool              skipUnsatisfied;
 
+  /* task create bad name */
   task_name = 1;
   status = rtems_task_create(
@@ -40,4 +41,20 @@
   );
   puts( "TA1 - rtems_task_create - RTEMS_INVALID_NAME" );
+
+  /* null ID */
+  status = rtems_task_create(
+    Task_name[ 1 ],
+    4,
+    RTEMS_MINIMUM_STACK_SIZE,
+    RTEMS_DEFAULT_MODES,
+    RTEMS_DEFAULT_ATTRIBUTES,
+    NULL
+  );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_task_create with NULL ID param"
+  );
+  puts( "TA1 - rtems_task_create - RTEMS_INVALID_ADDRESS" );
 
   /*
Index: testsuites/sptests/sp09/screen05.c
===================================================================
--- testsuites/sptests/sp09/screen05.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen05.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -23,4 +23,5 @@
   rtems_status_code status;
 
+  /* invalid name */
   status = rtems_semaphore_create(
     0,
@@ -37,4 +38,20 @@
   puts( "TA1 - rtems_semaphore_create - RTEMS_INVALID_NAME" );
 
+  /* NULL Id parameter */
+  status = rtems_semaphore_create(
+    Semaphore_name[ 1 ],
+    1,
+    RTEMS_DEFAULT_ATTRIBUTES,
+    RTEMS_NO_PRIORITY,
+    NULL
+  );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_semaphore_create with NULL param"
+  );
+  puts( "TA1 - rtems_semaphore_create - RTEMS_INVALID_ADDRESS" );
+
+  /* OK */
   status = rtems_semaphore_create(
     Semaphore_name[ 1 ],
Index: testsuites/sptests/sp09/screen09.c
===================================================================
--- testsuites/sptests/sp09/screen09.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen09.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -64,4 +64,5 @@
   #endif
 
+  /* send invalid id */
   status = rtems_signal_send( 100, RTEMS_SIGNAL_1 );
   fatal_directive_status(
@@ -72,4 +73,14 @@
   puts( "TA1 - rtems_signal_send - RTEMS_INVALID_ID" );
 
+  /* no signal in set */
+  status = rtems_signal_send( RTEMS_SELF, 0 );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_NUMBER,
+    "rtems_signal_send with no signals"
+  );
+  puts( "TA1 - rtems_signal_send - RTEMS_INVALID_NUMBER" );
+
+  /* no signal handler */
   status = rtems_signal_send( RTEMS_SELF, RTEMS_SIGNAL_16 );
   fatal_directive_status(
Index: testsuites/sptests/sp09/screen14.c
===================================================================
--- testsuites/sptests/sp09/screen14.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/screen14.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -26,4 +26,14 @@
   bool                    skipUnsatisfied;
 
+  /* NULL Id */
+  status = rtems_timer_create( Timer_name[ 1 ], NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_create NULL param"
+  );
+  puts( "TA1 - rtems_timer_create - RTEMS_INVALID_ADDRESS" );
+
+  /* bad name */
   status = rtems_timer_create( 0, &Junk_id );
   fatal_directive_status(
@@ -34,4 +44,5 @@
   puts( "TA1 - rtems_timer_create - RTEMS_INVALID_NAME" );
 
+  /* OK */
   status = rtems_timer_create( Timer_name[ 1 ], &Timer_id[ 1 ] );
   directive_failed( status, "rtems_timer_create" );
@@ -94,4 +105,5 @@
   puts( "TA1 - rtems_timer_reset - RTEMS_NOT_DEFINED" );
 
+  /* bad id */
   status = rtems_timer_fire_after(
     rtems_build_id( 1, 1, 1, 256 ),
@@ -107,4 +119,5 @@
   puts( "TA1 - rtems_timer_fire_after - RTEMS_INVALID_ID" );
 
+  /* bad id */
   build_time( &time, 12, 31, 1994, 9, 0, 0, 0 );
   status = rtems_timer_fire_when( 
@@ -121,4 +134,14 @@
   puts( "TA1 - rtems_timer_fire_when - RTEMS_INVALID_ID" );
 
+  /* NULL routine */
+  status = rtems_timer_fire_after( Timer_id[ 1 ], 1, NULL, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_fire_after with NULL handler"
+  );
+  puts( "TA1 - rtems_timer_fire_after - RTEMS_INVALID_ADDRESS" );
+
+  /* 0 ticks */
   status = rtems_timer_fire_after( Timer_id[ 1 ], 0, Delayed_routine, NULL );
   fatal_directive_status(
@@ -129,4 +152,14 @@
   puts( "TA1 - rtems_timer_fire_after - RTEMS_INVALID_NUMBER" );
 
+  /* NULL routine */
+  status = rtems_timer_fire_when( Timer_id[ 1 ], &time, NULL, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_fire_when with NULL handler"
+  );
+  puts( "TA1 - rtems_timer_fire_when - RTEMS_INVALID_ADDRESS" );
+  
+  /* invalid time -- before RTEMS epoch */ 
   build_time( &time, 2, 5, 1987, 8, 30, 45, 0 );
   status = rtems_timer_fire_when( Timer_id[ 1 ], &time, Delayed_routine, NULL );
@@ -159,4 +192,14 @@
   );
 
+  /* null param */
+  status = rtems_timer_get_information( Timer_id[ 1 ], NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_get_information with NULL param"
+  );
+  puts( "TA1 - rtems_timer_get_information - RTEMS_INVALID_ADDRESS" );
+
+  /* invalid id */
   status = rtems_timer_get_information( 100, &timer_info );
   fatal_directive_status(
@@ -169,4 +212,5 @@
 /* timer server interface routines */
 
+  /* incorrect state */
   status = rtems_timer_server_fire_after( 0, 5, NULL, NULL );
   fatal_directive_status(
@@ -177,4 +221,5 @@
   puts( "TA1 - rtems_timer_server_fire_after - RTEMS_INCORRECT_STATE" );
 
+  /* incorrect state */
   status = rtems_timer_server_fire_when( 0, &time, NULL, NULL );
   fatal_directive_status(
@@ -185,6 +230,6 @@
   puts( "TA1 - rtems_timer_server_fire_when - RTEMS_INCORRECT_STATE" );
 
-  status =
-    rtems_timer_initiate_server( 0, 0, 0 );
+  /* invalid priority */
+  status = rtems_timer_initiate_server( 0, 0, 0 );
   fatal_directive_status(
     status,
@@ -219,4 +264,14 @@
   puts( "TA1 - rtems_timer_initiate_server - SUCCESSFUL" );
 
+  /* NULL routine */
+  status = rtems_timer_server_fire_after( Timer_id[ 1 ], 1, NULL, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_server_fire_after NULL routine"
+  );
+  puts( "TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ADDRESS" );
+
+  /* bad Id */
   status = rtems_timer_server_fire_after(
     rtems_build_id( 1, 1, 1, 256 ),
@@ -232,4 +287,5 @@
   puts( "TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ID" );
 
+  /* bad id */
   build_time( &time, 12, 31, 1994, 9, 0, 0, 0 );
   status = rtems_timer_server_fire_when(
@@ -246,5 +302,16 @@
   puts( "TA1 - rtems_timer_server_fire_when - RTEMS_INVALID_ID" );
 
-  status = rtems_timer_server_fire_after( Timer_id[ 1 ], 0, Delayed_routine, NULL );
+  /* NULL routine */
+  status = rtems_timer_server_fire_after( Timer_id[ 1 ], 1, NULL, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_server_fire_after NULL routine"
+  );
+  puts( "TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ADDRESS" );
+
+  /* 0 ticks */
+  status = rtems_timer_server_fire_after(
+    Timer_id[ 1 ], 0, Delayed_routine, NULL );
   fatal_directive_status(
     status,
@@ -254,6 +321,8 @@
   puts( "TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_NUMBER" );
 
+  /* illegal time */
   build_time( &time, 2, 5, 1987, 8, 30, 45, 0 );
-  status = rtems_timer_server_fire_when( Timer_id[ 1 ], &time, Delayed_routine, NULL );
+  status = rtems_timer_server_fire_when(
+    Timer_id[ 1 ], &time, Delayed_routine, NULL );
   fatal_directive_status(
     status,
@@ -271,4 +340,14 @@
   print_time( "TA1 - rtems_clock_get_tod       - ", &time, "\n" );
 
+  /* when NULL routine */
+  status = rtems_timer_server_fire_when( Timer_id[ 1 ], &time, NULL, NULL );
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_timer_server_fire_when NULL routine"
+  );
+  puts( "TA1 - rtems_timer_server_fire_when - RTEMS_INVALID_ADDRESS" );
+
+  /* before current time */
   build_time( &time, 2, 5, 1990, 8, 30, 45, 0 );
   status = rtems_timer_server_fire_when(
@@ -284,3 +363,4 @@
     " - before RTEMS_INVALID_CLOCK\n"
   );
+
 }
Index: testsuites/sptests/sp09/sp09.scn
===================================================================
--- testsuites/sptests/sp09/sp09.scn	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp09/sp09.scn	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -3,4 +3,5 @@
 INIT - rtems_task_restart - RTEMS_INCORRECT_STATE
 TA1 - rtems_task_delete - RTEMS_INVALID_ID
+TA1 - rtems_task_get_note - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_get_note - RTEMS_INVALID_NUMBER
 TA1 - rtems_task_get_note - RTEMS_INVALID_ID
@@ -8,4 +9,5 @@
 TA1 - rtems_task_get_note - RTEMS_INVALID_ID (no tasks in API)
 TA1 - rtems_object_get_classic_name - bad ID
+TA1 - rtems_task_ident - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_ident - current task RTEMS_SUCCESSFUL
 TA1 - rtems_task_ident - global RTEMS_INVALID_NAME
@@ -15,4 +17,5 @@
 TA1 - rtems_task_resume - RTEMS_INVALID_ID
 TA1 - rtems_task_resume - RTEMS_INCORRECT_STATE
+TA1 - rtems_task_set_priority - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_set_priority - RTEMS_INVALID_PRIORITY
 TA1 - rtems_task_set_priority - RTEMS_INVALID_ID
@@ -22,9 +25,10 @@
 TA1 - rtems_task_start - RTEMS_INCORRECT_STATE
 TA1 - rtems_task_suspend - RTEMS_INVALID_ID
+TA1 - rtems_task_mode - RTEMS_INVALID_ADDRESS
 <pause - screen 2>
 TA1 - rtems_clock_get_tod - RTEMS_INVALID_ADDRESS
 TA1 - rtems_clock_get_tod - RTEMS_NOT_DEFINED
 TA1 - rtems_clock_get_seconds_since_epoch - RTEMS_INVALID_ADDRESS
-TA1 - rtems_clock_get_second_since_epoch - RTEMS_NOT_DEFINED
+TA1 - rtems_clock_get_seconds_since_epoch - RTEMS_NOT_DEFINED
 TA1 - rtems_clock_get_uptime - RTEMS_INVALID_ADDRESS
 TA1 - rtems_clock_get_tod_timeval - RTEMS_INVALID_ADDRESS
@@ -34,4 +38,5 @@
 TA1 - rtems_clock_get - RTEMS_INVALID_ADDRESS
 TA1 - rtems_clock_get - RTEMS_INVALID_NUMBER
+TA1 - rtems_task_wake_when - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_wake_when - RTEMS_NOT_DEFINED
 TA1 - rtems_timer_fire_when - RTEMS_NOT_DEFINED
@@ -45,4 +50,5 @@
 TA1 - rtems_clock_set - 08:30:45   02/05/1988 - RTEMS_SUCCESSFUL
 TA1 - rtems_task_wake_when - TICKINVALID - sleep about 3 seconds
+TA1 - rtems_task_wake_when - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_wake_when - TICKINVALID - woke up RTEMS_SUCCESSFUL
 TA1 - rtems_task_wake_when - 08:30:48   02/05/1961 - RTEMS_INVALID_CLOCK
@@ -52,4 +58,5 @@
 <pause - screen 3>
 TA1 - rtems_task_create - RTEMS_INVALID_NAME
+TA1 - rtems_task_create - RTEMS_INVALID_ADDRESS
 TA1 - rtems_task_create - stack size - RTEMS_UNSATISFIED
 TA1 - rtems_task_create - TA2 created - RTEMS_SUCCESSFUL
@@ -77,6 +84,8 @@
 TA1 - rtems_clock_set - 08:30:45   02/05/1988 - RTEMS_SUCCESSFUL
 TA1 - current time - Fri Feb  5 08:30:45 1988
+
 <pause - screen 5>
 TA1 - rtems_semaphore_create - RTEMS_INVALID_NAME
+TA1 - rtems_semaphore_create - RTEMS_INVALID_ADDRESS
 TA1 - rtems_semaphore_create - 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_semaphore_create - 2 - RTEMS_SUCCESSFUL
@@ -127,4 +136,5 @@
 TA1 - rtems_message_queue_get_number_pending - RTEMS_INVALID_ADDRESS
 TA1 - rtems_message_queue_get_number_pending - RTEMS_INVALID_ID
+TA1 - rtems_message_queue_flush - RTEMS_INVALID_ADDRESS
 TA1 - rtems_message_queue_flush - RTEMS_INVALID_ID
 TA1 - rtems_message_queue_receive - RTEMS_INVALID_ID
@@ -134,10 +144,10 @@
 TA1 - rtems_message_queue_receive - Q 1 - timeout in 3 seconds
 TA1 - rtems_message_queue_receive - Q 1 - woke up with RTEMS_TIMEOUT
-TA1 - rtems_message_queue_send - RTEMS_INVALID_ADDRESS
+TA1 - rtems_message_queue_send - NULL buffer - RTEMS_INVALID_ADDRESS
 TA1 - rtems_message_queue_send - RTEMS_INVALID_ID
 TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_TOO_MANY
-TA1 - rtems_message_queue_urgent - RTEMS_INVALID_ADDRESS
+TA1 - rtems_message_queue_urgent - NULL buffer - RTEMS_INVALID_ADDRESS
 TA1 - rtems_message_queue_urgent - RTEMS_INVALID_ID
 TA1 - rtems_message_queue_broadcast - NULL buffer - RTEMS_INVALID_ADDRESS
@@ -169,4 +179,5 @@
 TA1 - rtems_interrupt_catch - old isr RTEMS_INVALID_ADDRESS
 TA1 - rtems_signal_send - RTEMS_INVALID_ID
+TA1 - rtems_signal_send - RTEMS_INVALID_NUMBER
 TA1 - rtems_signal_send - RTEMS_NOT_DEFINED
 TA1 - rtems_port_create - RTEMS_INVALID_NAME
@@ -176,8 +187,7 @@
 TA1 - rtems_port_delete - RTEMS_INVALID_ID
 TA1 - rtems_port_ident - RTEMS_INVALID_NAME
-TA1 - rtems_port_external_to_internal - RTEMS_INVALID_ID
 TA1 - rtems_port_external_to_internal - RTEMS_INVALID_ADDRESS
 TA1 - rtems_port_internal_to_external - RTEMS_INVALID_ID
-TA1 - rtems_port_internal_to_external - RTEMS_INVALID_ADDRESS
+TA1 - rtems_port_external_to_internal - RTEMS_INVALID_ADDRESS
 <pause - screen 10>
 TA1 - rtems_rate_monotonic_create - RTEMS_INVALID_ADDRESS
@@ -251,5 +261,4 @@
 TA1 - rtems_region_get_segment - 0 size - RTEMS_INVALID_SIZE
 TA1 - rtems_region_get_segment - too big - RTEMS_INVALID_SIZE
-TA1 - rtems_region_get_segment - RTEMS_INVALID_SIZE
 TA1 - rtems_region_get_segment - RTEMS_SUCCESSFUL
 TA1 - rtems_region_get_segment - RTEMS_UNSATISFIED
@@ -284,5 +293,5 @@
 TA1 - rtems_clock_get_tod - 00:00:00   01/01/2001 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/1999 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get_tod - 00:00:00   01/01/2000 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get - 00:00:00   01/01/2000 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/2100 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_get_tod - 17:31:44   11/25/1964 - RTEMS_SUCCESSFUL
@@ -292,4 +301,5 @@
 TA1 - rtems_clock_get_tod - 00:00:00   01/01/1992 - RTEMS_SUCCESSFUL
 <pause - screen 14>
+TA1 - rtems_timer_create - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_create - RTEMS_INVALID_NAME
 TA1 - rtems_timer_create - 1 - RTEMS_SUCCESSFUL
@@ -303,8 +313,11 @@
 TA1 - rtems_timer_fire_after - RTEMS_INVALID_ID
 TA1 - rtems_timer_fire_when - RTEMS_INVALID_ID
+TA1 - rtems_timer_fire_after - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_fire_after - RTEMS_INVALID_NUMBER
+TA1 - rtems_timer_fire_when - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_fire_when - 08:30:45   02/05/1987 - RTEMS_INVALID_CLOCK
 TA1 - rtems_clock_get_tod       - 00:00:00   01/01/1992
 TA1 - rtems_timer_fire_when - 08:30:45   02/05/1990 - before RTEMS_INVALID_CLOCK
+TA1 - rtems_timer_get_information - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_get_information - RTEMS_INVALID_ID
 TA1 - rtems_timer_server_fire_after - RTEMS_INCORRECT_STATE
@@ -313,9 +326,12 @@
 TA1 - rtems_timer_initiate_server - RTEMS_UNSATISFIED
 TA1 - rtems_timer_initiate_server - SUCCESSFUL
+TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ID
 TA1 - rtems_timer_server_fire_when - RTEMS_INVALID_ID
+TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_NUMBER
 TA1 - rtems_timer_server_fire_when - 08:30:45   02/05/1987 - RTEMS_INVALID_CLOCK
 TA1 - rtems_clock_get_tod       - 00:00:00   01/01/1992
+TA1 - rtems_timer_server_fire_when - RTEMS_INVALID_ADDRESS
 TA1 - rtems_timer_server_fire_when - 08:30:45   02/05/1990 - before RTEMS_INVALID_CLOCK
 *** END OF TEST 9 ***
Index: testsuites/sptests/sp28/init.c
===================================================================
--- testsuites/sptests/sp28/init.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp28/init.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -117,4 +117,11 @@
 
   /*
+   *  task variable add error status codes
+   */
+  puts( "task variable add - NULL pointer - RTEMS_INVALID_ADDRESS" );
+  sc = rtems_task_variable_get(RTEMS_SELF, NULL, NULL );
+  fatal_directive_status( sc, RTEMS_INVALID_ADDRESS, "add NULL pointer" );
+
+  /*
    *  task variable get error status codes
    */
Index: testsuites/sptests/sp28/sp28.scn
===================================================================
--- testsuites/sptests/sp28/sp28.scn	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp28/sp28.scn	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -1,3 +1,4 @@
 *** START OF TEST 28 ***
+task variable add - NULL pointer - RTEMS_INVALID_ADDRESS
 task variable get - bad Id - RTEMS_INVALID_ID
 task variable get - NULL pointer - RTEMS_INVALID_ADDRESS
Index: testsuites/sptests/sp43/init.c
===================================================================
--- testsuites/sptests/sp43/init.c	(revision 8d8c1f131861d286d5c8bccc5dee05b5fe0be358)
+++ testsuites/sptests/sp43/init.c	(revision f55f60591cdc27bf14eaa455b661420b2a4fb682)
@@ -202,4 +202,12 @@
    */
 
+  puts( "rtems_object_set_name - INVALID_ADDRESS" );
+  sc = rtems_object_set_name( tmpId, NULL );
+  fatal_directive_status(
+    sc,
+    RTEMS_INVALID_ADDRESS,
+    "rtems_object_set_name INVALID_ADDRESS"
+  );
+
   puts( "rtems_object_set_name - INVALID_ID (bad API)" );
   tmpId = rtems_build_id( 0xff, OBJECTS_RTEMS_TASKS, 1, 1 ),
